For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
      • GETGet a list of all billing entities
      • POSTCreate a billing entity
      • PUTUpdate or create a billing entity (upsert)
      • GETGet a billing entity
      • PATCHUpdate a billing entity
  • Identity API
  • Transaction API
  • Event API
LoginSandbox
Configuration APIBilling Entities

Get a list of all billing entities

GET
/v:version/billing-entities
GET
/v:version/billing-entities
$curl https://test.api.solvimon.com/v1/billing-entities \
> -H "X-API-KEY: <apiKey>"
1{
2 "data": [
3 {
4 "object_type": "string",
5 "id": "string",
6 "created_at": "string",
7 "reference": "string",
8 "status": "string",
9 "timezone": "string",
10 "legal_name": "string",
11 "tax_id": "string",
12 "tax_ids": [
13 {
14 "id": "string",
15 "type": "GENERIC_TAX_ID",
16 "display_name": "string",
17 "tax_id_validation_result": {
18 "id": "string",
19 "validation_date": "string",
20 "source": "string",
21 "valid": "VALID",
22 "message": "string"
23 }
24 }
25 ],
26 "registration_number": "string",
27 "registered_address": {
28 "line1": "string",
29 "line2": "string",
30 "city": "string",
31 "postal_code": "string",
32 "state": "string",
33 "country": "AD"
34 },
35 "email": "string",
36 "tax_settings": {
37 "apply_local_vat_for_missing_tax_id": true
38 },
39 "tax_registrations": [
40 {
41 "id": "string",
42 "description": "string",
43 "tax_id": "string",
44 "tax_ids": [
45 {
46 "id": "string",
47 "type": "GENERIC_TAX_ID",
48 "display_name": "string",
49 "tax_id_validation_result": {
50 "id": "string",
51 "validation_date": "string",
52 "source": "string",
53 "valid": "VALID",
54 "message": "string"
55 }
56 }
57 ],
58 "registration_number": "string",
59 "registered_address": {
60 "line1": "string",
61 "line2": "string",
62 "city": "string",
63 "postal_code": "string",
64 "state": "string",
65 "country": "AD"
66 }
67 }
68 ],
69 "custom_fields": [
70 {
71 "id": "string",
72 "reference": "string",
73 "value": "string",
74 "values": [
75 "string"
76 ],
77 "integration_details": {
78 "id": "string",
79 "reference": "string",
80 "payment_gateway_variant": "ADYEN",
81 "adyen": {
82 "recurring_detail_reference": "string"
83 },
84 "stripe": {
85 "payment_method_id": "string"
86 }
87 }
88 }
89 ],
90 "default_customer_country_selector": [
91 "AD"
92 ],
93 "default_billing_currency_selector": [
94 "AED"
95 ],
96 "linked_integrations": [
97 {
98 "id": "string",
99 "link_details": [
100 {
101 "url": "string",
102 "custom_field_name": "string"
103 }
104 ]
105 }
106 ]
107 }
108 ]
109}

Requires the BILLING_ENTITY.VIEW permission.

Was this page helpful?
Previous

Create a billing entity

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

expand[]list of stringsOptional
The id fields of the resources that are going to be expanded.
custom_fieldstringOptional
Filter the response by a custom field value.

Response

OK
datalist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error